%global packname  tibble
%global rlibdir  %{_libdir}/R/library

# Unavailable and/or loops.
%global with_suggests 0

Name:             R-%{packname}
Version:          1.4.2
Release:          2%{?dist}
Summary:          Simple Data Frames

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
# https://github.com/tidyverse/tibble/pull/420
Patch0001:        0001-Skip-dplyr-in-tests-if-unavailable.patch
# https://github.com/tidyverse/tibble/issues/421
# https://github.com/tidyverse/tibble/issues/455
Patch0002:        0002-Skip-another-test-that-requires-dplyr-if-unavailable.patch

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-cli, R-crayon, R-methods, R-pillar >= 1.1.0, R-rlang, R-utils
# Suggests:  R-covr, R-dplyr, R-import, R-knitr >= 1.5.32, R-microbenchmark, R-mockr, R-nycflights13, R-rmarkdown, R-testthat, R-withr
# LinkingTo:
# Enhances:

Requires:         R-cli
Requires:         R-crayon
Requires:         R-methods
Requires:         R-pillar >= 1.1.0
Requires:         R-rlang
Requires:         R-utils
Suggests:         R-knitr >= 1.5.32
Suggests:         R-mockr
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cli
BuildRequires:    R-crayon
BuildRequires:    R-methods
BuildRequires:    R-pillar >= 1.1.0
BuildRequires:    R-rlang
BuildRequires:    R-utils
BuildRequires:    R-import
BuildRequires:    R-knitr >= 1.5.32
BuildRequires:    R-mockr
BuildRequires:    R-rmarkdown
BuildRequires:    R-testthat
BuildRequires:    R-withr
%if %{with_suggests}
BuildRequires:    R-dplyr
BuildRequires:    R-microbenchmark
BuildRequires:    R-nycflights13
%endif

%description
Provides a 'tbl_df' class (the 'tibble') that provides stricter checking
and better formatting than the traditional data frame.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
%patch0001 -p1
%patch0002 -p1

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' DESCRIPTION
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --no-examples
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Wed Aug 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.2-2
- rebuilt

* Tue Aug 14 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.2-1
- initial package for Fedora
